%define	name fcgi
%define	version 2.4.0
%define	release 7mdk

%define major 0
%define libname %mklibname %{name} %{major}

Summary:	The FastCGI development kit
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	BSD-style
Group:		System/Servers
URL:		http://www.fastcgi.com/
Source0:	%{name}-%{version}.tar.bz2
Patch0:		fcgi-no-libs.patch.bz2
BuildRequires:	libstdc++-devel
Requires:	%{libname} = %{version}
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
FastCGI is an open extension to CGI that provides high performance
for all Internet applications without the penalties of Web server
APIs.

FastCGI is designed to be layered on top of existing Web server
APIs. For instance, the mod_fastcgi Apache module adds FastCGI 
support to the Apache server. FastCGI can also be used, with 
reduced functionality and reduced performance, on any Web server
that supports CGI.

This FastCGI Developer's Kit is designed to make developing 
FastCGI applications easy. The kit currently supports FastCGI 
applications written in C/C++, Perl, Tcl, and Java.

This package contains only shared libraries used by programs 
developed using FastCGI Developer's Kit and cgi-fcgi (bridge from
CGI to FastCGI).

%package -n	%{libname}
Summary:	Libraries for %{name} 
Group:          System/Libraries

%description -n	%{libname}
This package contains the %{name} library files.

%package -n	%{libname}-devel
Summary:	Development headers and libraries for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	libfcgi-devel
Obsoletes:	libfcgi-devel

%description -n	%{libname}-devel
This package contains FastCGI Developer's Kit, which is designed
to make developing FastCGI applications easy. The kit currently
supports FastCGI applications written in C/C++, Perl, Tcl, and
Java.

%package -n	%{libname}-static-devel
Summary:	Development static libraries for %{name}
Group:		Development/C
Requires:	%{libname}-devel = %{version}

%description -n	%{libname}-static-devel
This package contains static libraries of %{name}.

%prep

%setup -q
%patch -p1

%build
touch INSTALL NEWS AUTHORS ChangeLog COPYING
libtoolize --copy --force && aclocal && autoconf && automake --add-missing --copy

%configure2_5x \
    --with-global \
    --with-nodebug \
    --with-noassert \
    --with-notest

%make
				
%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%makeinstall_std

install -d %{buildroot}%{_datadir}/fastcgi
cp -a examples/{Makefile*,*.c} %{buildroot}%{_datadir}/fastcgi/

# install the built examples (should we require apache here?)
install -d %{buildroot}/var/www/fcgi-bin

pushd examples/.libs/
    install -m755 authorizer %{buildroot}/var/www/fcgi-bin/
    install -m755 echo %{buildroot}/var/www/fcgi-bin/
    install -m755 echo-cpp %{buildroot}/var/www/fcgi-bin/
    install -m755 echo-x %{buildroot}/var/www/fcgi-bin/
    install -m755 log-dump %{buildroot}/var/www/fcgi-bin/
    install -m755 size %{buildroot}/var/www/fcgi-bin/
    install -m755 threaded %{buildroot}/var/www/fcgi-bin/
popd

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%post -n %{libname}-devel -p /sbin/ldconfig

%postun -n %{libname}-devel -p /sbin/ldconfig

%files
%defattr(0644,root,root,0755)
%doc doc/*.1 LICENSE.TERMS README
%attr(0755,root,root) %{_bindir}/cgi-fcgi
%attr(0755,root,root) /var/www/fcgi-bin/authorizer
%attr(0755,root,root) /var/www/fcgi-bin/echo
%attr(0755,root,root) /var/www/fcgi-bin/echo-cpp
%attr(0755,root,root) /var/www/fcgi-bin/echo-x
%attr(0755,root,root) /var/www/fcgi-bin/log-dump
%attr(0755,root,root) /var/www/fcgi-bin/size
%attr(0755,root,root) /var/www/fcgi-bin/threaded

%files -n %{libname}
%defattr(0644,root,root,0755)
%attr(0755,root,root) %{_libdir}/libfcgi++.so.0*
%attr(0755,root,root) %{_libdir}/libfcgi.so.0*

%files -n %{libname}-devel
%defattr(0644,root,root,0755)
%doc doc/*.htm* doc/*.gif doc/fastcgi-* doc/*.3
%attr(0755,root,root) %{_libdir}/libfcgi++.so
%attr(0755,root,root) %{_libdir}/libfcgi.so
%attr(0755,root,root) %{_libdir}/libfcgi++.la
%attr(0755,root,root) %{_libdir}/libfcgi.la
%{_includedir}/*.h
%{_datadir}/fastcgi/*

%files -n %{libname}-static-devel
%defattr(0644,root,root,0755)
%{_libdir}/libfcgi++.a
%{_libdir}/libfcgi.a

%changelog
* Tue May 10 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.4.0-7mdk
- added P0 by PLD
- make ite compile cleanly on x86_64

* Fri Jun 04 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.4.0-6mdk
- rebuilt against new deps and with gcc v3.4.x
- fix deps

* Wed Aug 20 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.4.0-5mdk
- put headers in %%{_includedir}/

* Wed Aug 20 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.4.0-4mdk
- use macros
- use spec file magic to make it compile...

* Sun Apr 13 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.4.0-3mdk
- rebuilt to have rpm v4.2 pick up provides

* Sun Apr 13 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.4.0-2mdk
- argh!!!, license is not GPL but BSD-style (darn templates...)
- clean up the spec file... (darn templates...)

* Sun Apr 13 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.4.0-1mdk
- initial cooker contrib, ripped from PLD, adapted for ML
